import { getAllRoleList } from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';
import { h } from 'vue';
import { Tag, Switch } from 'ant-design-vue';
import { useMessage } from '@/hooks/web/useMessage';
import { changeFlagApi } from '@/api/system/user/user';
// 引入开关组件
type CheckedType = boolean | string | number;

export const TreeData = [
  {
    key: '1',
    title: '主体域',
    level: '0',
    children: [
      {
        key: '1-1',
        title: '一级主体域1',
        level: '1',
        children: [
          { key: '1-1-1', title: '二级主体域1', level: '2' },
          { key: '1-1-2', title: '二级主体域2', level: '2' },
        ],
      },
      {
        key: '1-2',
        title: '一级主体域2',
        level: '1',
        children: [
          { key: '1-2-1', title: '二级主体域3', level: '2' },
          { key: '1-2-2', title: '二级主体域4', level: '2' },
        ],
      },
      {
        key: '1-3',
        title: '一级主体域3',
        level: '1',
        children: [
          { key: '1-3-1', title: '二级主体域3', level: '2' },
          { key: '1-3-2', title: '二级主体域4', level: '2' },
        ],
      },
    ],
  },
];

export const logicalData: any[] = [
  {
    businessId: 1,
    modelName: '逻辑模型1',
    EngName: 'modelOne',
    describe: '逻辑模型1，数据多',
    workArea: '默认工作组',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
    holder: 'admin',
    type: 'model',
    themeId: '1-1-1',
  },
  {
    businessId: 2,
    modelName: '逻辑模型2',
    EngName: 'modelTwo',
    describe: '逻辑模型2，数据少',
    workArea: '默认工作组',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
    holder: 'admin',
    type: 'model',
    themeId: '1-1-1',
  },
  {
    businessId: 3,
    modelName: '逻辑模型3',
    EngName: 'modelThree',
    describe: '逻辑模型3，数据很多',
    workArea: '默认工作组',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
    holder: 'admin',
    type: 'model',
    themeId: '1-1-2',
  },
  {
    businessId: 4,
    modelName: '逻辑模型4',
    EngName: 'model4',
    describe: '逻辑模型4，数据少',
    workArea: '默认工作组',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
    holder: 'admin',
    type: 'model',
    themeId: '1-1-2',
  },
  {
    businessId: 5,
    modelName: '逻辑模型5',
    EngName: 'model5',
    describe: '逻辑模型5，数据很多',
    workArea: '默认工作组',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
    holder: 'admin',
    type: 'model',
    themeId: '1-2-1',
  },
  {
    businessId: 6,
    modelName: '一级主体域1',
    EngName: 'themeOne',
    describe: '知识库模型3，数据很多',
    workArea: '默认工作组',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
    holder: 'admin',
    type: 'theme',
    themeId: '1-1',
  },
  {
    businessId: 7,
    modelName: '一级主体域2',
    EngName: 'themeTwo',
    describe: '知识库模型3，数据很多',
    workArea: '默认工作组',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
    holder: 'admin',
    type: 'theme',
    themeId: '1-2',
  },
  {
    businessId: 8,
    modelName: '一级主体域3',
    EngName: 'themeThree',
    describe: '知识库模型3，数据很多',
    workArea: '默认工作组',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
    holder: 'admin',
    type: 'theme',
    themeId: '1-3',
  },
];

export const modelData: any[] = [
  {
    delFlag: '0',
    flag: '1',
    businessId: 309,
    username: 'yonghu1',
    nickName: '测试用户1',
    userType: '1',
    name: '测试用户1',
    createDate: '2024-10-24 10:04:04',
    institutionId: 105,
    institutionName: '财务部门',
    code: '123f',
    identity: '1',
    roleIds: null,
    roleNames: '三级用户',
    roleList: null,
    menuList: [],
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 310,
    username: 'yonghu2',
    nickName: '测试用户2',
    userType: '1',
    name: '测试用户2',
    createDate: '2024-10-25 10:05:05',
    sex: '0',
    institutionId: 105,
    institutionName: '财务部门',
    code: '123a',
    identity: '1',
    roleIds: null,
    roleNames: null,
    roleList: null,
    menuList: [],
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 317,
    username: 'yonghu3',
    nickName: '测试用户3',
    userType: '1',
    name: '测试用户3',
    createDate: '2024-10-26 10:06:06',
    sex: '1',
    institutionId: 102,
    institutionName: '研发部门',
    code: '123c',
    identity: '1',
    roleIds: null,
    roleNames: '超级管理员',
    roleList: null,
    menuList: [],
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 318,
    username: 'yonghu4',
    nickName: '测试用户4',
    userType: '1',
    name: '测试用户4',
    createDate: '2024-10-26 10:06:06',
    sex: '1',
    institutionId: 102,
    institutionName: '研发部门',
    code: '123b',
    identity: '1',
    roleIds: null,
    roleNames: '超级管理员',
    roleList: null,
    menuList: [],
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 319,
    username: 'yonghu5',
    nickName: '测试用户5',
    userType: '1',
    name: '测试用户5',
    createDate: '2024-10-26 10:06:06',
    sex: '1',
    institutionId: 102,
    institutionName: '研发部门',
    code: '123x',
    identity: '1',
    roleIds: null,
    roleNames: '超级管理员',
    roleList: null,
    menuList: [],
  },
];

export const editTableData: any[] = [
  {
    businessId: 1,
    name: '数据源',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '库名',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '表名',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '资产类型',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '表类型',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '表注释',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '存储类型',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '是否为事务表',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '创建时间',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '创建者',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '发布时间',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '发布者',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
];
export const editColumnData: any[] = [
  {
    businessId: 1,
    name: '列名',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '字段类型',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '字段类型参数',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '长度',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '精度',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '是否可为空',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '字段注释',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
];
export const editBucketData: any[] = [
  {
    businessId: 1,
    name: '分桶数',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '分桶字段',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '排序字段',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '排序方式',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
];
export const editAreaData: any[] = [
  {
    businessId: 1,
    name: '分区类型',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '分区字段',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '分区名',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '分区值',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
];
