import { BasicColumn } from '@/components/Table';

export const entityFormSchema = [
  {
    field: 'name',
    label: '实体名称',
    slot: 'name',
    component: 'Input',
    colProps: { span: 12 },
  },
  {
    field: 'txt',
    label: '实体描述',
    slot: 'txt',
    component: 'Input',
    colProps: { span: 12 },
  },
  {
    field: 'engName',
    label: '实体英文名',
    slot: 'engName',
    component: 'Input',
    colProps: { span: 12 },
  },
  {
    field: 'person',
    label: '资产责任人',
    slot: 'person',
    component: 'Input',
    colProps: { span: 12 },
  },
  {
    field: 'deptName',
    label: '所属部门',
    slot: 'deptName',
    component: 'TreeSelect',
    componentProps: {
      treeData: [
        {
          label: '机构管理',
          value: '机构管理',
          children: [
            {
              label: '机构管理/数据平台治理部',
              value: '机构管理/数据平台治理部',
            },
            {
              label: '机构管理/数据仓库规划部',
              value: '机构管理/数据仓库规划部',
            },
            {
              label: '机构管理/数据安全部',
              value: '机构管理/数据安全部',
            },
          ],
        },
      ],
    },
    colProps: { span: 12 },
  },
];
export const treeData = [
  {
    label: '机构管理',
    value: '机构管理',
    children: [
      {
        label: '机构管理/数据平台治理部',
        value: '机构管理/数据平台治理部',
      },
      {
        label: '机构管理/数据仓库规划部',
        value: '机构管理/数据仓库规划部',
      },
      {
        label: '机构管理/数据安全部',
        value: '机构管理/数据安全部',
      },
    ],
  },
];
export const propertyFormSchema: any[] = [
  {
    field: 'name',
    component: 'Input',
    componentProps: {
      placeholder: '输入属性名称搜素',
    },
    colProps: { span: 4 },
  },
];
export const propertyModelFormSchema: any[] = [
  {
    field: 'propName',
    label: '属性名称',
    component: 'Input',
    required: true,
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'fieldName',
    label: '字段名称',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'dataType',
    label: '数据类型',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'nullFlag',
    label: '是否为空',
    component: 'RadioGroup',
    componentProps: {
      options: [
        { label: '否', value: '0' },
        { label: '是', value: '1' },
      ],
    },
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'primaryFlag',
    label: '是否主键',
    component: 'RadioGroup',
    componentProps: {
      options: [
        { label: '否', value: '0' },
        { label: '是', value: '1' },
      ],
    },
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'length',
    label: '长度',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'precision',
    label: '精度',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'relationBasic',
    label: '关联基础标准',
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '1',
          value: '1',
        },
        {
          label: 'basic',
          value: 'basic',
        },
        {
          label: 'basic-1',
          value: 'basic-1',
        },
        {
          label: 'basic-2',
          value: 'basic-2',
        },
        {
          label: 'basic-3',
          value: 'basic-3',
        },
      ],
    },
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'relationCode',
    label: '关联公共代码',
    component: 'Select',
    componentProps: {
      options: [
        {
          label: 'common',
          value: 'common',
        },
        {
          label: 'public',
          value: 'public',
        },
        {
          label: 'layout',
          value: 'layout',
        },
        {
          label: 'enums',
          value: 'enums',
        },
      ],
    },
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'describe',
    label: '属性描述',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
];
export const propertyTable: BasicColumn[] = [
  {
    title: '属性名称',
    dataIndex: 'propName',
    width: 150,
  },
  {
    title: '字段名称',
    dataIndex: 'fieldName',
    width: 150,
  },
  {
    title: '数据类型',
    dataIndex: 'dataType',
    width: 150,
  },
  {
    title: '是否为空',
    dataIndex: 'nullFlag',
    width: 150,
  },
  {
    title: '是否主键',
    dataIndex: 'primaryFlag',
    width: 150,
  },
  {
    title: '是否外键',
    dataIndex: 'foreignFlag',
    width: 150,
  },
  {
    title: '关联属性',
    dataIndex: 'relationValue',
    width: 150,
  },
  {
    title: '长度',
    dataIndex: 'length',
    width: 150,
  },
  {
    title: '精度',
    dataIndex: 'precision',
    width: 150,
  },
  {
    title: '关联基础标准',
    dataIndex: 'relationBasic',
    width: 150,
  },
  {
    title: '关联公共代码',
    dataIndex: 'relationCode',
    width: 150,
  },
  {
    title: '属性描述',
    dataIndex: 'describe',
    width: 150,
  },
];
export const entityConnectionModelFormSchema: any[] = [
  {
    field: 'physicalModel',
    label: '选择物理模型',
    component: 'Select',
    componentProps: {
      options: [
        {
          label: 'dw_prd_contract_f',
          value: 'dw_prd_contract_f',
        },
        {
          label: 'dw_prd_oontract_quot_h_s',
          value: 'dw_prd_oontract_quot_h_s',
        },
        {
          label: 'tmp_dw_prd_contractf_our',
          value: 'tmp_dw_prd_contractf_our',
        },
      ],
    },
    required: true,
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'describe',
    label: '关联描述',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
];
export const entityConnectionTable: any[] = [
  {
    title: '名称',
    dataIndex: 'name',
    width: 150,
  },
  {
    title: '路径',
    dataIndex: 'path',
    width: 150,
  },
  {
    title: '关联描述',
    dataIndex: 'describe',
    width: 150,
  },
  {
    title: '关联时间',
    dataIndex: 'time',
    width: 150,
  },
  {
    title: '操作用户',
    dataIndex: 'operate',
    width: 150,
  },
];
