import { DescItem } from '@/components/Description';
import {BasicColumn} from "@/components/Table";

export const comparisonInfoSchema: DescItem[] = [
  {
    field: 'describe',
    label: '模型描述',
  },
  {
    field: 'entityNum',
    label: '实体数量',
  },
  {
    field: 'createTime',
    label: '创建时间',
  },
  {
    field: 'updateTime',
    label: '更新时间',
  },
  {
    field: 'uploadTime',
    label: '发布时间',
  },
  {
    field: 'createdBy',
    label: '创建者',
  },
  {
    field: 'uploadBy',
    label: '发布者',
  },
];
export const entityColumns: BasicColumn[] = [
  {
    title: '实体名称',
    dataIndex: 'name',
    minWidth: 80,
    // onEditRow: true,
  },
  {
    title: '实体描述',
    dataIndex: 'txt',
    minWidth: 80,
    // onEditRow: true,
  },
  {
    title: '实体英文名',
    dataIndex: 'engName',
    minWidth: 80,
    // onEditRow: true,
  },
  {
    title: '资产责任人',
    dataIndex: 'person',
    minWidth: 80,
    // onEditRow: true,
  },
  {
    title: '所属部门',
    dataIndex: 'deptName',
    minWidth: 80,
  },
];
export const connectionTable: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'name',
    minWidth: 80,
    // onEditRow: true,
  },
  {
    title: '父实体名称',
    dataIndex: 'fatherName',
    minWidth: 80,
    // onEditRow: true,
  },
  {
    title: '父实体属性PK',
    dataIndex: 'fatherPK',
    minWidth: 80,
    // onEditRow: true,
  },
  {
    title: '父端基数',
    dataIndex: 'fatherNum',
    minWidth: 80,
    // onEditRow: true,
  },
  {
    title: '子实体名称',
    dataIndex: 'sonName',
    minWidth: 80,
  },
  {
    title: '子实体属性PK',
    dataIndex: 'sonPK',
    minWidth: 80,
  },
  {
    title: '子端基数',
    dataIndex: 'sonNum',
    minWidth: 80,
  },
];
