import { BasicColumn } from '@/components/Table';

// version
export const versionTableFormSchema: any[] = [
  {
    field: 'submitTime',
    component: 'DatePicker',
    componentProps: {
      placeholder: '提交时间',
      valueFormat: 'YYYY-MM-DD HH:mm:ss',
    },
    colProps: { span: 4 },
  },
  {
    field: 'result',
    component: 'Select',
    componentProps: {
      placeholder: '执行结果',
    },
    colProps: { span: 4 },
  },
  {
    field: 'modelName',
    component: 'Input',
    componentProps: {
      placeholder: '逻辑模型名称',
    },
    colProps: { span: 4 },
  },
  {
    field: 'operator',
    component: 'Input',
    componentProps: {
      placeholder: '操作者',
    },
    colProps: { span: 4 },
  },
];
export const versionColumns: BasicColumn[] = [
  {
    title: '提交时间',
    dataIndex: 'submitTime',
    width: 150,
  },
  {
    title: '逻辑模型',
    dataIndex: 'modelName',
    width: 150,
  },
  {
    title: '逻辑模型路径',
    dataIndex: 'modelPath',
    width: 150,
  },
  {
    title: '实体总数',
    dataIndex: 'entityNum',
    width: 150,
  },
  {
    title: '物理模型总数',
    dataIndex: 'phyModelNum',
    width: 150,
  },
  {
    title: '执行结果',
    dataIndex: 'result',
    width: 150,
  },
  {
    title: '操作者',
    dataIndex: 'operator',
    width: 150,
  },
];
// versionDetail
export const versionDetailTableFormSchema: any[] = [
  {
    field: 'key',
    component: 'Input',
    componentProps: {
      placeholder: '输入关键字搜索',
    },
    colProps: { span: 4 },
  },
  {
    field: 'type',
    component: 'Select',
    componentProps: {
      placeholder: '类型',
    },
    colProps: { span: 4 },
  },
  {
    field: 'flag',
    component: 'Select',
    componentProps: {
      placeholder: '状态',
    },
    colProps: { span: 4 },
  },
];
export const versionDetailColumns: BasicColumn[] = [
  {
    title: '实体',
    dataIndex: 'entity',
    width: 80,
  },
  {
    title: '物理模型名称',
    dataIndex: 'phyModelName',
    width: 80,
  },
  {
    title: '物理模型路径',
    dataIndex: 'phyModelPath',
    width: 80,
  },
  {
    title: '状态',
    dataIndex: 'flag',
    width: 80,
  },
  {
    title: '类型',
    dataIndex: 'type',
    width: 80,
  },
];
