import { FormSchema } from '@/components/Form';
import { BasicColumn } from '@/components/Table';

export const crossFormSchema: FormSchema[] = [
  {
    field: 'name',
    component: 'InputSearch',
    componentProps: {
      placeholder: '输入关联字搜索',
    },
    colProps: { span: 4 },
  },
];

export const reportFormSchema: FormSchema[] = [
  {
    field: 'name',
    component: 'InputSearch',
    componentProps: {
      placeholder: '输入关键字搜索',
    },
    colProps: { lg: 4, md: 6 },
  },
];

export const crossTable: BasicColumn[] = [
  {
    title: '物理模型',
    dataIndex: 'modelName',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '路径',
    dataIndex: 'modelId',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '检核版本',
    dataIndex: 'checkVersion',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '关联元数据',
    dataIndex: 'relateData',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '数据源',
    dataIndex: 'dataBase',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '路径',
    dataIndex: 'checkId',
    width: 150,
    // onEditRow: true,
  },
];

export const ConnectionModelFormSchema: any[] = [
  {
    field: 'name',
    label: ' ',
    component: 'InputSearch',
    colProps: { lg: 12, md: 12 },
  },
];
export const editFormSchema: FormSchema[] = [
  {
    field: 'libraryName',
    label: '检核任务名称：',
    defaultValue: 'dw层检核',
    slot: 'libraryName',
    colProps: { lg: 12, md: 12 },
    required: true,
  },
  {
    field: 'tableName',
    label: '任务描述：',
    slot: 'tableName',
    colProps: { lg: 12, md: 12 },
  },
]
export const detailFormSchema: FormSchema[] = [
  {
    field: 'libraryName',
    label: '检核任务名称：',
    defaultValue: 'dw层检核',
    slot: 'libraryName',
    colProps: { lg: 12, md: 12 },
    required: true,
  },
  {
    field: 'checkRule',
    label: '校验规则：',
    slot: 'checkRule',
    colProps: { lg: 12, md: 12 },
  },
  {
    field: 'tableName',
    label: '任务描述：',
    slot: 'tableName',
    colProps: { lg: 12, md: 12 },
  },
]

export const reportColumn: BasicColumn[] = [
  {
    title: '物理模型',
    dataIndex: 'modelName',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '路径',
    dataIndex: 'modelId',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '检核版本',
    dataIndex: 'checkVersion',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '关联元数据',
    dataIndex: 'relateData',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '数据源',
    dataIndex: 'dataBase',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '路径',
    dataIndex: 'checkId',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '结果',
    dataIndex: 'result',
    width: 80,
  },
  {
    title: '元数据一致率',
    dataIndex: 'dataAgree',
    width: 80,
  },
];



