import { BasicColumn, FormSchema } from '@/components/Table';

export const columnsSystem: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'modelName',
    width: 150,
    // onEditRow:true
    slots: { customRender: 'sourceType' },
  },
  {
    title: '版本号',
    dataIndex: 'version',
    width: 150,
    // onEditRow:true
  },
  {
    title: '编辑状态',
    dataIndex: 'editStatus',
    width: 150,
    // onEditRow:true
  },
  {
    title: '调试状态',
    dataIndex: 'debugStatus',
    width: 150,
    // onEditRow:true
  },
  {
    title: '类型',
    dataIndex: 'type',
    width: 150,
    // onEditRow:true
  },
  {
    title: '负责人',
    dataIndex: 'leader',
    width: 150,
    // onEditRow:true
  },
  {
    title: '发布时间',
    dataIndex: 'publishTime',
    width: 150,
    // onEditRow:true
  },
  {
    title: '权属工作组',
    dataIndex: 'workingGroup',
    width: 150,
    // onEditRow:true
  },
];
export const columnsData: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'modelName',
    width: 150,
    // onEditRow:true
    slots: { customRender: 'sourceType' },
  },
  {
    title: '库名',
    dataIndex: 'storeName',
    width: 150,
    // onEditRow:true
  },
  {
    title: '表名',
    dataIndex: 'tableName',
    width: 150,
    // onEditRow:true
  },
  {
    title: '表注释',
    dataIndex: 'tableExplain',
    width: 150,
    // onEditRow:true
  },
];

export const historyColumnsData: BasicColumn[] = [
  {
    title: '提交时间',
    dataIndex: 'submitName',
    width: 150,
    // onEditRow:true
    slots: { customRender: 'sourceType' },
  },
  {
    title: '物理模型',
    dataIndex: 'physicalModal',
    width: 150,
    slots: { customRender: 'physicalModal' },
    // onEditRow:true
  },
  {
    title: '数据源',
    dataIndex: 'dataBase',
    width: 150,
    // onEditRow:true
  },
  {
    title: '表名',
    dataIndex: 'tableName',
    width: 150,
    // onEditRow:true
  },
  {
    title: '操作者',
    dataIndex: 'actName',
    width: 150,
    // onEditRow:true
  },
  {
    title: '执行结果',
    dataIndex: 'result',
    width: 150,
    // onEditRow:true
  },
];

export const columnsMoreCreate = [
  {
    title: '物理模型名称',
    dataIndex: 'physicalName',
    width: 150,
    // onEditRow:true
  },
];

export const columnsDetail: BasicColumn[] = [
  {
    title: '列名',
    dataIndex: 'name',
    width: 150,
    // onEditRow:true
  },
  {
    title: '字段类型',
    dataIndex: 'type',
    width: 150,
    // onEditRow:true
  },
  {
    title: '字段类型参数',
    dataIndex: 'parameters',
    width: 150,
    // onEditRow:true
  },
  {
    title: '长度',
    dataIndex: 'length',
    width: 150,
    // onEditRow:true
  },
  {
    title: '精度',
    dataIndex: 'deptName',
    width: 150,
    // onEditRow:true
  },
  {
    title: '是否可为空',
    dataIndex: 'isNUll',
    width: 150,
    // onEditRow:true
  },
  {
    title: '字段注释',
    dataIndex: 'explain',
    width: 150,
    // onEditRow:true
  },
];

export const checkcolumnsDetail: BasicColumn[] = [
  {
    title: '列名',
    dataIndex: 'name',
    width: 150,
    // onEditRow:true
  },
  {
    title: '字段类型',
    dataIndex: 'type',
    width: 150,
    // onEditRow:true
  },
  {
    title: '字段类型参数',
    dataIndex: 'parameters',
    width: 150,
    // onEditRow:true
  },
  {
    title: '长度',
    dataIndex: 'length',
    width: 150,
    // onEditRow:true
  },
  {
    title: '精度',
    dataIndex: 'deptName',
    width: 150,
    // onEditRow:true
  },
  {
    title: '是否可为空',
    dataIndex: 'isNUll',
    width: 150,
    // onEditRow:true
  },
];
export const importSchema: any[] = [
  {
    field: 'fileType',
    label: '导入文件类型',
    component: 'Select',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      options: [
        { label: 'Erwin(.xml)', value: '1' },
        { label: 'PowerDesigner(.ldm)', value: '2' },
        { label: 'Excel(.xlsx)', value: '3' },
      ],
    },
  },
  {
    field: 'fileMethods',
    label: '导入文件选择',
    slot: 'fileMethods',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'fileRename',
    label: '文件重名',
    component: 'RadioGroup',
    required: true,
    colProps: { lg: 24, md: 24 },
    componentProps: {
      options: [
        { label: '全部放弃', value: '1' },
        { label: '全部替换', value: '2' },
        { label: '自动重命名', value: '3' },
      ],
    },
  },
];

export const baseImportSchema: any[] = [
  {
    field: 'modelId',
    label: '导入路径',
    component: 'TreeSelect',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      fieldNames: {
        label: 'modelName',
        value: 'businessId',
      },
      getPopupContainer: () => document.body,
    },
  },
  {
    field: 'fileRename',
    label: '文件重名',
    component: 'RadioGroup',
    required: true,
    colProps: { lg: 24, md: 24 },
    componentProps: {
      options: [
        { label: '全部放弃', value: '1' },
        { label: '全部替换', value: '2' },
        { label: '自动重命名', value: '3' },
      ],
    },
  },
];
/**查询表单*/
export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: ' ',
    component: 'Input',
    componentProps: {
      placeholder: '请输入关键字搜索',
    },
    colProps: { span: 6 },
  },
  {
    field: 'editStatus',
    label: ' ',
    component: 'Select',
    componentProps: {
      placeholder: '编辑状态',
      options: [
        { label: '未编辑', value: '未编辑' },
        { label: '编辑中', value: '编辑中' },
        { label: '完成', value: '完成' },
      ],
    },
    colProps: { span: 6 },
  },
  {
    field: 'debugStatus',
    label: ' ',
    component: 'Select',
    componentProps: {
      mode: 'multiple',
      placeholder: '调试状态',
      options: [
        { label: '未调试', value: '未调试' },
        { label: '调试中', value: '调试中' },
        { label: '完成', value: '完成' },
      ],
    },
    colProps: { span: 6 },
  },
];

export const CreateHistoryFormSchema: FormSchema[] = [
  {
    field: 'submitName',
    label: ' ',
    component: 'RangePicker',
    componentProps: {
      showTime: true,
    },
    colProps: { span: 3 },
  },
  {
    field: 'dataBase',
    label: ' ',
    component: 'Select',
    componentProps: {
      placeholder: '数据源',
      options: [
        { label: '未编辑', value: '未编辑' },
        { label: '编辑中', value: '编辑中' },
        { label: '完成', value: '完成' },
      ],
    },
    colProps: { span: 3 },
  },
  {
    field: 'result',
    label: ' ',
    component: 'Select',
    componentProps: {
      mode: 'multiple',
      placeholder: '执行结果',
      options: [
        { label: '成功', value: '成功' },
        { label: '失败', value: '失败' },
        { label: '执行中', value: '执行中' },
      ],
    },
    colProps: { span: 3 },
  },

  {
    field: 'physicalModal',
    label: ' ',
    component: 'Input',
    componentProps: {
      placeholder: '物理模型名称',
    },
    colProps: { span: 3 },
  },
  {
    field: 'tableName',
    label: ' ',
    component: 'Input',
    componentProps: {
      placeholder: '表名',
    },
    colProps: { span: 3 },
  },
  {
    field: 'actName',
    label: ' ',
    component: 'Input',
    componentProps: {
      placeholder: '表名',
    },
    colProps: { span: 3 },
  },
];

/**新建文件*/
export const physicalModelFormSchema: any[] = [
  {
    field: 'modelId',
    label: '路径',
    component: 'TreeSelect',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      fieldNames: {
        label: 'modelName',
        value: 'businessId',
      },
      getPopupContainer: () => document.body,
    },
    required: true,
  },
  {
    field: 'modelName',
    label: '文件名称',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
    rules: [
      {
        required: true,
        message: '请输入文件名称',
      },
    ],
  },
  {
    field: 'username',
    label: '文件类型',
    componentProps: {
      defaultValue: '物理模型',
      disabled: true,
    },
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
];

/**新建文件夹*/
export const physicalModelAdd: any[] = [
  {
    field: 'modelId',
    label: '文件夹路径',
    component: 'TreeSelect',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      fieldNames: {
        label: 'modelName',
        value: 'businessId',
      },
      getPopupContainer: () => document.body,
    },
  },
  {
    field: 'name',
    label: '文件夹名称',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
    rules: [
      {
        required: true,
        message: '请输入文件名称',
      },
    ],
  },
  {
    field: 'username',
    label: '关联元模型',
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '知识库模型1',
          value: '101',
        },
        {
          label: '知识库模型2',
          value: '102',
        },
        {
          label: '知识库模型3',
          value: '103',
        },
      ],
      getPopupContainer: () => document.body,
    },
    rules: [
      {
        required: true,
        message: '元模型只能在一级目录配置',
      },
    ],
    colProps: { lg: 24, md: 24 },
  },
];

/**移动*/
export const MoveFormSchema: any[] = [
  {
    field: 'institutionId',
    label: '所属机构',
    component: 'TreeSelect',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      fieldNames: {
        label: 'institutionName',
        value: 'businessId',
      },
      getPopupContainer: () => document.body,
    },
    required: true,
  },
];

export const checksearchFormSchema: FormSchema[] = [
  {
    field: 'nameOrExplain',
    label: '',
    component: 'InputSearch',
    componentProps: {
      placeholder: '输入关键字搜索',
    },
  },
];
