import { BasicColumn, FormSchema } from '@/components/Table';

export const entityColumns: BasicColumn[] = [
  {
    title: '操作时间',
    dataIndex: 'actionTime',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '操作者',
    dataIndex: 'actionBy',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '文件名称',
    dataIndex: 'fileName',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '操作类型',
    dataIndex: 'actionType',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '导入状态',
    dataIndex: 'importStatus',
    helpMessage: '文件上传后的导入状态',
    width: 150,
  },
];

export const entityFormSchema: FormSchema[] = [
  {
    field: 'selectWork',
    label: ' ',
    component: 'Select',
    componentProps: {
      defaultValue: 'admin-个人工作区',
      options: [
        { label: '共享工作区', value: '共享工作区' },
        { label: 'admin-个人工作区', value: 'admin-个人工作区' },
        { label: '高级工作区', value: '高级工作区' },
      ],
    },
    colProps: { span: 4 },
  },
  {
    field: 'actionTime',
    label: '  ',
    component: 'RangePicker',
    componentProps: {
      placeholder: ['开始时间', '结束时间'],
    },
    colProps: { span: 4 },
  },
  {
    field: 'actionType',
    label: ' ',
    component: 'Select',
    componentProps: {
      options: [
        { label: '元数据导入', value: '元数据导入' },
        { label: 'Excel导入', value: 'Excel导入' },
      ],
      placeholder: '操作类型',
    },
    colProps: { span: 4 },
  },
  {
    field: 'fileName',
    label: ' ',
    component: 'InputSearch',
    componentProps: {
      placeholder: '文件名搜索',
    },
    colProps: { span: 4 },
  },
  {
    field: 'myImport',
    label: ' ',
    component: 'Checkbox',
    colProps: { span: 4 },
    renderComponentContent: '仅显示我的导入',
  },
];
