import {FormSchema} from "@/components/Form";
import {BasicColumn} from "@/components/Table";
import {TreeItem} from "@/components/Tree";

export const ConnectionModelFormSchema: any[] = [
  {
    field: 'name',
    label: '关系名称',
    component: 'Input',
    required: true,
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'fatherName',
    label: '子属性',
    component: 'Select',
    required: true,
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'fatherPK',
    label: '父模型',
    component: 'Select',
    required: true,
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'fatherNum',
    label: '父属性',
    component: 'Select',
    required: true,
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'comments',
    label: '注释',
    component: 'InputTextArea',
    colProps: { lg: 24, md: 24 },
  },
];

export const crossFormSchema: FormSchema[] = [
  {
    field: 'name',
    component: 'Input',
    componentProps: {
      placeholder: '输入关联关系名称搜索',
    },
    colProps: { span: 4 },
  },
];

export const crossTable: BasicColumn[] = [
  {
    title: '关系名称',
    dataIndex: 'name',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '子属性',
    dataIndex: 'sonAttribute',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '父模型',
    dataIndex: 'fatherModel',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '父属性',
    dataIndex: 'fatherAttribute',
    width: 150,
    // onEditRow: true,
  },
  {
    title: '注释',
    dataIndex: 'comments',
    width: 150,
    // onEditRow: true,
  },
];

export const chartTreeData: TreeItem[] = [
  {
    title: '物理模型',
    key: '1',
    children: [
      { title: 'yL_table_orc01', icon: 'ion:cube-outline', key: '3' },
      { title: 'yl_table_torc01', icon: 'ion:cube-outline', key: '4' },
    ],
  },
  {
    title: '模型关联',
    key: '2',
    children: [
      { title: 'NEW orc_id_torc_id', icon: 'ion:git-merge-outline', key: '5' },
      { title: 'orc_id_torc_id', icon: 'ion:git-merge-outline', key: '6' },
    ],
  },
];
