import { FormSchema } from '@/components/Form';
import { BasicColumn } from '@/components/Table';

export const puploadFormSchema: FormSchema[] = [
  {
    field: 'title',
    label: '申请标题',
    required: true,
    component: 'Input',
    colProps: { lg: 12, md: 12 },
  },
  {
    field: 'result',
    label: '申请理由',
    required: false,
    component: 'Input',
    colProps: { lg: 12, md: 12 },
  },
  {
    field: 'person',
    slot: 'person',
    label: '申请人',
    required: false,
    component: 'Input',
    colProps: { lg: 12, md: 12 },
  },
  {
    field: 'dept',
    slot: 'dept',
    label: '所属机构',
    required: false,
    component: 'Input',
    colProps: { lg: 12, md: 12 },
  },
  {
    field: 'time',
    slot: 'time',
    label: '申请时间',
    required: false,
    component: 'Input',
    colProps: { lg: 12, md: 12 },
  },
  {
    field: 'version',
    label: '发布版本号',
    component: 'RadioGroup',
    componentProps: {
      options: [
        {
          label: '小版本号自增',
          value: '小版本号自增',
        },
        {
          label: '大版本号自增',
          value: '大版本号自增',
        },
      ],
    },
    colProps: { lg: 12, md: 12 },
  },
];
export const modelFormSchema: FormSchema[] = [
  {
    field: 'title',
    component: 'InputSearch',
    componentProps: {
      placeholder: '搜索资源名称',
    },
    colProps: { lg: 24, md: 24 },
  },
];
export const modelColumns: BasicColumn[] = [
  {
    title: '模型名称',
    dataIndex: 'modelName',
  },
];
export const modelInfoFormSchema: FormSchema[] = [
  {
    field: 'name',
    slot: 'name',
    label: '名称',
  },
  {
    field: 'path',
    slot: 'path',
    label: '路径',
  },
];
